picard.vcf.processor

## Class VcfFileSegmentGenerator

- java.lang.Object
- - picard.vcf.processor.VcfFileSegmentGenerator

-     public abstract class VcfFileSegmentGenerator
      extends Object

  Describes a mechanism for producing `VcfFileSegment`s from a VCF file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VcfFileSegmentGenerator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VcfFileSegmentGenerator` | `byWholeContigSubdividingWithWidth(long segmentWidth)`
    `static <T> VcfFileSegmentGenerator` | `excludingNonOverlaps(VcfFileSegmentGenerator strategy, htsjdk.samtools.util.OverlapDetector<T> overlaps)` Returns a decorated `VcfFileSegmentGenerator` that filters out `VcfFileSegment`s that have no overlap with the provided `OverlapDetector`.
    `abstract Iterable<VcfFileSegment>` | `forVcf(File vcf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VcfFileSegmentGenerator

          public VcfFileSegmentGenerator()

  - ### Method Detail

    - #### forVcf

          public abstract Iterable<VcfFileSegment> forVcf(File vcf)

    - #### byWholeContigSubdividingWithWidth

          public static VcfFileSegmentGenerator byWholeContigSubdividingWithWidth(long segmentWidth)

    - #### excludingNonOverlaps

          public static <T> VcfFileSegmentGenerator excludingNonOverlaps(VcfFileSegmentGenerator strategy,
                                                                         htsjdk.samtools.util.OverlapDetector<T> overlaps)

      Returns a decorated `VcfFileSegmentGenerator` that filters out `VcfFileSegment`s that have no overlap with the provided `OverlapDetector`.